Subject: W:MCSCF GAMESS-US input?

From: "Gustavo, Alberto, Mercier" <gamercier -()- yahoo.com>
Date: Fri, 27 May 2005 00:53:45 -0400

Hi!

I have a question regarding MCSCF runs using GAMESS-US. I am familiar with UHF and DFT runs, but MCSCF is new.

The molecule is a metalloporphyrin, ClFe(III)porphyrinato. I have run a
preliminary UHF computation using SBKJC-ECP for FeIII and a 6-31G* for the rest of the molecule. A "modest" zero order determinant to start the MCSCF run.

The active space would consist of the 6 cartesian d orbitals and the "a1 HOMO-1, a2 HOMO, and e LUMO" centered on the porphyrin ring. This follows the "four orbital model" of Gouterman.

By inspecting the output and looking at the orbitals I found that the 
6 cartesian d orbitals are numbers 45-49,51 in the list of alpha orbitals while the a1,a2, and e orbitals are 93-96 in the alpha orbitals and 88-91 in the beta orbitals.

My problem is in setting the options to define this active space.

Looking at the manual it looks like I need to do the following:

1) Set RUNTYP=MCSCF in CONTRL
2) Set GUESS GUESS=MOREAD NORB=426  to read all the orbitals, alpha and beta using  the VEC namelist
3) Set DET NCORE=87 NACT=14 NELS=9 GROUP=C2V ISTSYM=1 NSTATE=1

According to the manual, the Sz will be picked up from the multiplicity which 6 (2S+1), so Sz=5/2.

I have 94 alpha electrons and 89 beta electrons (183 total). This means that 9 electrons are in the active space (5 d electrons and 4 from the HOMO-1 and HOMO). The remainder will be "inactive" and evenly divided between alpha and beta orbitals (87 * 2 = 174). The active space has a total of 14 orbitals (6 cartesian d orbitals [alpha 45-49,51] and 8 orbitals from the porphyrin ring [alpha and beta: a1 HOMO-1, a2 HOMO, and e LUMO]). GAMESS only uses Abelian groups for MCSCF so must drop from C4v to C2v. The last two options request only one state of A1 symmetry.

Question 1)

It is not clear to me how the program will pick up the correct number of alpha and beta orbitals with the above input. It seems that something is
missing to force the program to split the active orbitals into 10 alpha and 4 beta orbitals. (This may be easier with the 5 spherical d orbitals. In this case NACT=13. By making Sz=5/2 this will pick 5 alpha orbitals for the active space and split the rest evenly between alphas and betas.)

Does any one have any suggestions or can shed light on this problem? Or the answer is run with ISPH=1 and get the 5 spherical d orbitals!

Question 2)

Even if I solve question 1, I will have to reorder the orbitals. In g03 you can use guess alter combo. In GAMESS-US you can use NORDER=1 under GUESS and then enter IORDER and JORDER. My problem is what is the proper format for entering IORDER and JORDER for this case.

The idea would be to reorder the input orbitals so that the top 10 alpha orbitals correspond to the 6 cartesian d orbitals, the a1 HOMO-1, a2 HOMO, and the e LUMO while doing the same for the beta orbitals so that the top 4 are the a1 HOMO-1, a2 HOMO, and e LUMO.

I've used NORDER=1 and IORDER(45)=45,88 to swap 45 and 88 in the list of alpha orbitals, but the run aborts complaining that I have not given some of the input. It is like once I start entering values for orbital 45 it expects input for all the remaining orbitals up to 426!. 

Any suggestions here?

Thanks!

Gustavo Mercier MD,PhD
Baylor University Medical Center
Dallas, TX
gamercier -()- yahoo.com
gustavom -()- baylorhealth.edu